List data deletion requests OAuth Scope: data_deletion:read

<Warning>This is a gated feature that requires enablement. Contact support to enable Data Deletion API access for your organization.</Warning> List all data deletion requests for your organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object

Response

OK
datalist of objects
limitinteger
The limit placed on the results. If no limit was specified in the request, this defaults to 10.
has_moreboolean
Whether there are more results available after this page.
next_cursorstring
The cursor to use for the next page of results.

Errors

403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error